booster::system Namespace Reference

this namespace includes partial implementation of std::tr1's/boost's system_error, error_code classes More...

## Classes

class | error_category
| this class represents a category of errors. More...
class | error_code
| The lightweight object that carries a error code information and its category. More...
class | system_error
| This is the object that should be thrown in case of the error. More...

## Functions

BOOSTER_API error_category const & | get_system_category ()
bool | operator== (error_code const &left, error_code const &right)
bool | operator!= (error_code const &left, error_code const &right)

## Detailed Description

this namespace includes partial implementation of std::tr1's/boost's system_error, error_code classes

## Function Documentation

bool booster::system::operator!= | ( | error_code const & | left,
|  | error_code const & | right
| ) |  |

inline

Compare two error code for inequality

bool booster::system::operator== | ( | error_code const & | left,
|  | error_code const & | right
| ) |  |

inline

Compare two error code for equality

References booster::system::error_code::category(), and booster::system::error_code::value().